KooZic : sortie de la v1.1.0

Published at December 20, 2018 ·  3 minutes

Alors que KooZic a fêté discrètement ses 2 ans, le développement continue son petit bonhomme de chemin, avec comme à l’habitude une release emballée rapidement mais un article qui traîne à s’écrire. Bref, développer des fonctionnalités c’est marrant, mais rédiger un bel article les expliquant ça l’est moins. Listes de lecture intelligentes et dynamiques Le concept de liste de lecture intelligente est dans les tuyaux depuis un bon moment déjà....


KooZic : sortie de la v1.0.0

Published at August 10, 2018 ·  4 minutes

Une version 1.0.0 signifie-t-elle un remaniement important de KooZic par rapport à la v0.8.0 ? Autant être clair : non, pas du tout. Cela marque surtout une série de changements internes qui rendent les 2 versions incompatibles, et qui justifient du coup un saut de version. Mais cela n’empêchent pas une série d’améliorations et de nouvelles fonctionnalités d’avoir été intégrées à la nouvelle mouture. Odoo v11.0 et Python 3 Alors que les versions 0....


KooZic : sortie de la v0.8.0, dernière release...

Published at April 6, 2018 ·  4 minutes

… utilisant Python 2. Les derniers mois ont été assez calmes au niveau de KooZic, logiciel de streaming musical. Le développement ne s’est pas arrêté pour autant, que du contraire. Plusieurs fonctionnalités ont été développées. Entre autres, le support de la normalisation audio, du non-transcodage et d’un convertisseur. Normalisation audio Lorsqu’une liste de lecture est parcourue, il nous est tous arrivé au moins une fois de passer d’un titre à un autre et de percevoir une nette différence de volume....


KooZic : script d'installation automatique

Published at April 5, 2018 ·  3 minutes

DEB, RPM, PKG, Debian, Ubuntu, Fedora, CentOS, OpenSUSE, Archlinux, Gentoo… Autant de systèmes de paquets et de distributions qui font de GNU/Linux un écosystème riche et varié. Mais aussi un enfer à supporter. Le système de packaging change d’un système à l’autre, et les dépendances varient d’une version à l’autre. Essayez de générer un DEB d’une application un peu complexe compatible pour Ubuntu 14.04, 16.04 (bientôt 18.04), Debian 8 et 9, et vous allez vite comprendre la galère....